chiark / gitweb /
Pseudo-merge of mariner/msriner
authorIan Jackson <ijackson@chiark.greenend.org.uk>
Mon, 13 Jun 2016 11:42:49 +0000 (12:42 +0100)
committerIan Jackson <ijackson@chiark.greenend.org.uk>
Mon, 13 Jun 2016 11:42:49 +0000 (12:42 +0100)
Drop everything we haven't explicitly committed

44 files changed:
README [new file with mode: 0644]
dot/configs/.gitignore [new file with mode: 0644]
dot/configs/Xresources
dot/configs/Xresources-colours=colour
dot/configs/Xresources-colours=mono
dot/configs/Xresources-font=fixed
dot/configs/Xresources-font=larger
dot/configs/Xresources-font=puffball
dot/configs/Xresources-font=zealot [new file with mode: 0644]
dot/configs/cache/mariner%:0 [deleted file]
dot/configs/cache/mariner%:0.0 [deleted file]
dot/configs/cache/mariner%localhost:1.0 [deleted file]
dot/configs/list
dot/configs/rxprofile-root [new file with mode: 0755]
dot/configs/setenvir
dot/configs/x11start
dot/configs/xbiffs
dot/configs/xclients
dot/configs/xmodmap-kb=liberator [new file with mode: 0644]
dot/configs/xmodmap-kb=mariner [new file with mode: 0644]
dot/configs/xmodmap-kb=pc
dot/configs/xmodmap-kb=zealot [new file with mode: 0644]
dot/configs/xprofile
dot/configs/xsession-errors [deleted file]
dot/configs/xtools
dot/emacs
dot/gitconfig [deleted file]
dot/gitk [deleted file]
dot/trnmailcap [new file with mode: 0644]
dot/xsession
home/emacs/.gitignore [new file with mode: 0644]
home/emacs/ian-x.el
home/emacs/ian-x19.el
home/emacs/ian.el
infra/substitute [new file with mode: 0755]
infra/template [new file with mode: 0644]
scripts/gistatus
scripts/iwjendian [deleted file]
scripts/pdftops-noduplex [new file with mode: 0755]
scripts/remoteshell [deleted file]
templates/.gitignore [new file with mode: 0644]
templates/gitconfig.in [new file with mode: 0755]
templates/gitk.in [new file with mode: 0755]
templates/vtwmrc.in [moved from dot/vtwmrc with 87% similarity, mode: 0755]

diff --git a/README b/README
new file mode 100644 (file)
index 0000000..befaf1e
--- /dev/null
+++ b/README
@@ -0,0 +1,8 @@
+# Makefile does things with dot/*
+# look at "make install", "make import"
+
+# infra/substitute does things with templates/*.in
+* look at
+#   infra/substitute diff
+# do maybe
+#   infra/substitute install SOME-FILES
diff --git a/dot/configs/.gitignore b/dot/configs/.gitignore
new file mode 100644 (file)
index 0000000..0585887
--- /dev/null
@@ -0,0 +1,3 @@
+cache
+xsession-errors
+mini-desktop-window-id
index 5253a7e..575bba2 100644 (file)
@@ -68,15 +68,15 @@ xlock.mode:                 qix
 xman*verticalList:             true
 xman*topBox:                   false
 
-xterm*pointerMode:              0
 xterm*multiScroll:              True
+xterm*pointerMode:      0
 xterm*saveLines:                512
 xterm*scrollBar:                TRUE
 xterm*scrollKey:               TRUE
 xterm*scrollTtyOutput:         false
 xterm*visualBell:               False
 xterm*reverseWrap:             TRUE
-xterm*metaSendsEscape:          TRUE
+xterm*metaSendsEscape:         TRUE
 
 xlbiff*resetSaver:             TRUE
 
@@ -111,3 +111,5 @@ Emacs.menuBar:                      off
 emacs.font:    -trad-fixed-medium-r-semicondensed--0-0-75-75-c-0-iso8859-1
 Emacs.font:     -trad-fixed-medium-r-semicondensed--0-0-75-75-c-0-iso8859-1
 emacs19.font:   -trad-fixed-medium-r-semicondensed--0-0-75-75-c-0-iso8859-1
+
+xacpi-simple*geometry:         150x50-52-0
index cfb7e9e..466ec00 100644 (file)
@@ -24,6 +24,19 @@ nfast-wish8*activeBackground:                        grey35
 nfast-wish8*DisabledForeground:                        black
 nfast-wish8*DisabledBackground:                        grey22
 
+gnuplot*background: black
+gnuplot*textColor: white
+gnuplot*borderColor: white
+gnuplot*axisColor: white
+gnuplot*line1Color: blue
+gnuplot*line2Color: green
+gnuplot*line3Color: orange
+gnuplot*line4Color: magenta
+gnuplot*line5Color: cyan
+gnuplot*line6Color: sienna
+gnuplot*line7Color: red
+gnuplot*line8Color: coral
+
 emacs.background:       Black
 emacs.foreground:       White
 emacs.pointerColor:     Cyan
@@ -42,7 +55,7 @@ xclock*foreground:            white
 xclock*background:             black
 xclock*hands:                  light blue
 xclock*hourColor:               orange
-xclock*minuteColor:             blue
+xclock*minuteColor:            blue
 
 xload*highlight:               white
 xload*foreground:              light blue
index 8504740..76a696a 100644 (file)
@@ -36,6 +36,8 @@ xclock*highlight:             white
 xclock*foreground:             white
 xclock*background:             black
 xclock*hands:                  light blue
+xclock*hourColor:               orange
+xclock*minuteColor:            blue
 
 xload*background:              black
 xload*highlight:               white
index e02ffc6..6434f57 100644 (file)
@@ -1,7 +1,7 @@
 !# Ian Jackson's X resources file
 !# Font specifications for small fonts (fixed by default)
 
-#emacs.font:                           fixed
+emacs.font:                            -trad-fixed-medium-r-semicondensed--0-0-75-75-c-0-iso8859-1
 
 xlock.font:                    fr-25
 
index af75085..7b04ba2 100644 (file)
@@ -1,9 +1,9 @@
 !# Ian Jackson's X Resources file
 !# Font specifications for larger fonts
 
-#*font:                                -*-fixed-bold-r-normal-*-15-*-*-*-*-*-*-*
+*font:                         -*-fixed-bold-r-normal-*-15-*-*-*-*-*-*-*
 
-#emacs.font:                   -*-fixed-bold-r-normal-*-15-*-*-*-*-*-*-*
+emacs.font:                    -*-fixed-bold-r-normal-*-15-*-*-*-*-*-*-*
 
 xlock.font:                    -*-charter-bold-r-*-*-24-*-*-*-*-*-iso8859-*
 
index f1c9938..cdc6848 100644 (file)
@@ -1,9 +1,9 @@
 !# Ian Jackson's X resources file
 !# Font specifications for small fonts (fixed by default)
 
-#*font:                                fixed
+*font:                         fixed
 
-#emacs.font:                           fixed
+emacs.font:                            fixed
 
 xlock.font:                    fr-25
 
diff --git a/dot/configs/Xresources-font=zealot b/dot/configs/Xresources-font=zealot
new file mode 100644 (file)
index 0000000..9ba900c
--- /dev/null
@@ -0,0 +1,6 @@
+!# Ian Jackson X resources file
+!# Font specifications for small fonts (fixed by default)
+
+*font:         -Trad-Fixed-Medium-R-Normal--20-200-75-75-C-100-ISO8859-1
+XTerm*font:    -Trad-Fixed-Medium-R-Normal--20-200-75-75-C-100-ISO8859-1
+emacs.font:    -Trad-Fixed-Medium-R-Normal--20-200-75-75-C-100-ISO8859-1
diff --git a/dot/configs/cache/mariner%:0 b/dot/configs/cache/mariner%:0
deleted file mode 100644 (file)
index 0fdd325..0000000
+++ /dev/null
@@ -1,2 +0,0 @@
- xauth=false printer=wind arch=Linux2
- mm_x=423 font=fixed size=normal pixels_x=1600 display=mariner colours=colour bvolume=60 pixels_y=1200 echo=echo mm_y=318 brokenserver=false visual=TrueColor brokenbadges=true mthresh=5 kb=pc maccel=4 depth=24 lxtermopts=-rv host=mariner dpi_x=96 bduration=50 dpi_y=96 keycodes=8-255 bpitch=300
diff --git a/dot/configs/cache/mariner%:0.0 b/dot/configs/cache/mariner%:0.0
deleted file mode 100644 (file)
index 0fdd325..0000000
+++ /dev/null
@@ -1,2 +0,0 @@
- xauth=false printer=wind arch=Linux2
- mm_x=423 font=fixed size=normal pixels_x=1600 display=mariner colours=colour bvolume=60 pixels_y=1200 echo=echo mm_y=318 brokenserver=false visual=TrueColor brokenbadges=true mthresh=5 kb=pc maccel=4 depth=24 lxtermopts=-rv host=mariner dpi_x=96 bduration=50 dpi_y=96 keycodes=8-255 bpitch=300
diff --git a/dot/configs/cache/mariner%localhost:1.0 b/dot/configs/cache/mariner%localhost:1.0
deleted file mode 100644 (file)
index c6e4e53..0000000
+++ /dev/null
@@ -1,2 +0,0 @@
- xauth=false printer=wind arch=Linux2
- mm_x=317 font=fixed size=normal pixels_x=1200 display=localhost colours=colour bvolume=100 pixels_y=900 echo=echo mm_y=237 brokenserver=false visual=TrueColor brokenbadges=true mthresh=5 kb=pc maccel=4 depth=24 lxtermopts=-rv host=mariner dpi_x=96 bduration=150 dpi_y=96 keycodes=8-255 bpitch=500
index daee795..008a5d2 100644 (file)
@@ -11,6 +11,7 @@ keycodes=8-119      : kb=archim bvolume=70 bpitch=900 bduration=70
 keycodes=8-132      : kb=sun4
 keycodes=8-144      : kb=dsxt
 keycodes=8-254      : kb=tektronix
+keycodes=8-255         : kb=liberator
 keycodes=10-135     : kb=hp
 keycodes=86-251     : kb=ds
 
@@ -20,6 +21,10 @@ depth>3             : colours=colour
 pixels_x<1024       : size=small
 dpi_x>104           : font=larger
 pixels_x>1024          : maccel=4 mthresh=5
+dpi_x>99               : maccel=3 mthresh=5
+
+default         : vtwmvdesktop=6432x3608-208-0
+pixels_x=3200   : vtwmvdesktop=19200x9100-0-0
 
 display=lettuce     : font=fixed
 display=flamingo    : font=fixed
@@ -29,4 +34,8 @@ display=parsley     : maccel=15 kb=mint printer=gas
 display=ufford      : kb=ds3100
 display=grover      : maccel=10
 
+display=mariner     : kb=mariner
+
 display=puffball    : font=puffball brokenserver=true
+
+host=zealot    : kb=zealot font=zealot maccel=8 mthresh=2
diff --git a/dot/configs/rxprofile-root b/dot/configs/rxprofile-root
new file mode 100755 (executable)
index 0000000..cab8a01
--- /dev/null
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+. .configs/setenvir
+
+stty cs8 2>/dev/null || :
+
+#xloadt&
+exec really
index 581a36c..a1ac995 100644 (file)
@@ -4,16 +4,12 @@
 PATH=$HOME/personal/linux-i386/bin:$HOME/personal/scripts/bin
 
 
+CVS_RSH=ssh
 
 
-
-
-PATH=$PATH:/usr/lib/ccache:/usr/lib/git-core
-
-
-
-
+PATH=$PATH:/usr/lib/ccache
 PATH=$PATH:/usr/local/bin:/bin:/usr/bin:/usr/local/sbin:/sbin:/usr/sbin
+PATH=$PATH:/usr/lib/git-core
 
 
 
@@ -24,26 +20,36 @@ PATH=$PATH:/usr/bin/X11
 export PATH
 
 CDPATH=:..:$HOME:$HOME/things
-CVS_RSH=ssh
 
 unset MAILPATH
 
 
 
+case "$(hostname -f)" in
+*.xensource.com)
+       GIT_COMMITTER_EMAIL=Ian.Jackson@eu.citrix.com
+       export GIT_COMMITTER_EMAIL
+       NNTPAUTH="md5cookie1way ijacksonxen"
+       NNTPSERVER=tunnel.chiark.greenend.org.uk
+       export NNTPAUTH NNTPSERVER
+       ;;
+*)
+        EMAIL=ijackson@chiark.greenend.org.uk
+        DEBEMAIL=ijackson@chiark.greenend.org.uk
+        ;;
+esac
+
 
 
 
-NNTPAUTH="md5cookie1way ijacksonxen"
-NNTPSERVER=tunnel.chiark.greenend.org.uk
-export NNTPAUTH NNTPSERVER
-export GIT_COMMITTER_EMAIL=Ian.Jackson@eu.citrix.com
 
 
 EDITOR=emacs
 HISTORY=256
 HOST=`hostname`
-LANG=C
+#LANG=C
 LESS="-eMfQj10"
+# NNTPAUTH="md5cookie1way ian"
 PAGER=less
 # PERLLIB=$HOME/personal/linux/lib/perl5
 PS1="$ "
@@ -55,6 +61,8 @@ export PAGER PERLLIB PS1 TRNINIT WWW_HOME
 
 # NNTPAUTH
 
+LVM_SUPPRESS_FD_WARNINGS=1
+export LVM_SUPPRESS_FD_WARNINGS
 
 if test -d /mariner64; then
        XEN_COMPILE_ARCH=x86_32
index 00fc4b2..7feebcb 100755 (executable)
@@ -2,10 +2,14 @@
 
 eval `.configs/configure`
 
+#PATH=/u/ian/tricks:$PATH
+
 >".counters/v.$DISPLAY"
 
 echo -n 'starting clients '
 
+#.configs/unpriv-xauth
+
 #       xsetroot -fg '#883030' -bg '#204050' -bitmap bitmap/root
 #       xsetroot -cursor bitmap/circle bitmap/circle-inv -fg white -bg black
 #        xset b 75 300
@@ -25,6 +29,10 @@ echo -n 'starting clients '
 
 echo -n .
 
+tail -F /var/log/hspa &
+
+echo -n .
+
 sh .configs/x11start-colours=$colours
 
 echo -n .
@@ -40,7 +48,9 @@ echo -n .
 
 xsetroot -cursor bitmap/circle bitmap/circle-inv -bg black -fg white
 xset b $bvolume $bpitch $bduration
-xset m $maccel $mthresh c off b 60
+echo x11start
+xset m $maccel $mthresh c off
+# b 60
 
 echo -n .
 
index 5be0a0d..20569a9 100755 (executable)
@@ -12,5 +12,9 @@ echo -n @
 #DISPLAY="$d"
 #export DISPLAY
 #exec 2>>.remoteshell-errors
-
-
+#xbiff &
+#MAILHOST=login.chiark.greenend.org.uk xbiff1339 -name xbiffc -user ijackson &
+#MAILHOST=login.chiark.greenend.org.uk xbiff1339 -name xbiffp -user ian &
+#MAILHOST=login.chiark.greenend.org.uk xbiff1339 -name xbiffs -user sysadmin &
+echo -n @
+#END
index 3a15c3e..73764fb 100755 (executable)
@@ -6,7 +6,7 @@ eval `cd $HOME && .configs/configure`
 #
 #echo -n :
 
-exec vtwm &
+(sleep 1; exec vtwm) &
 
 echo -n :
 
@@ -17,9 +17,24 @@ echo -n :
 xterm -n 'xterm d' -T xterm -geometry 80x25+0-10 &
 
 
-.configs/chiarks
+trayer --SetDockType true --widthtype request --edge top --align left --margin 30 &
+mate-power-manager &
+(set -e; cd $HOME/things/Systray/applet.git; ./xbatmon-simple-tray) &
+(sleep 1; exec nm-applet) &
 
 
+case "$(hostname)" in
+mariner)
+        .configs/chiarks
+        ;;
+esac
+
+#
+#if test -d /proc/acpi/battery; then
+#      xacpi-simple &
+#fi
+#
+
 
 
 .configs/xbiffs
diff --git a/dot/configs/xmodmap-kb=liberator b/dot/configs/xmodmap-kb=liberator
new file mode 100644 (file)
index 0000000..70e7266
--- /dev/null
@@ -0,0 +1,26 @@
+pointer = 1 3 2
+
+keycode 11 = 2 quotedbl
+keycode 12 = 3 numbersign
+keycode 22 = BackSpace
+keycode 48 = apostrophe at
+keycode 51 = numbersign asciitilde
+keycode 94 = backslash bar
+
+keycode 133 = Super_L
+remove Mod1 = Alt_L
+remove mod4 = Super_L
+add Mod1 = Alt_L Super_L
+
+! keycode 234 = Prior
+! keycode 233= Next
+! keycode 166 = Prior
+! keycode 167 = Next
+! keycode 113 = Alt_R Meta_R
+
+remove Lock = Caps_Lock
+remove Control = Control_L
+keycode 37 = Caps_Lock
+keycode 66 = Control_L
+add Lock = Caps_Lock
+add Control = Control_L
diff --git a/dot/configs/xmodmap-kb=mariner b/dot/configs/xmodmap-kb=mariner
new file mode 100644 (file)
index 0000000..a78001a
--- /dev/null
@@ -0,0 +1,19 @@
+keycode 11 = 2 quotedbl
+keycode 12 = 3 numbersign
+keycode 22 = BackSpace
+keycode 48 = apostrophe at
+keycode 51 = numbersign asciitilde
+keycode 94 = backslash bar
+
+keycode 115 = Prior
+keycode 112 = End
+
+! keycode 103 = Prior
+! keycode 99 = End
+
+remove Lock = Caps_Lock
+remove Control = Control_L
+keycode 37 = Caps_Lock
+keycode 66 = Control_L
+add Lock = Caps_Lock
+add Control = Control_L
index a78001a..f6fcda5 100644 (file)
@@ -4,12 +4,8 @@ keycode 22 = BackSpace
 keycode 48 = apostrophe at
 keycode 51 = numbersign asciitilde
 keycode 94 = backslash bar
-
-keycode 115 = Prior
-keycode 112 = End
-
-! keycode 103 = Prior
-! keycode 99 = End
+keycode 103 = Prior
+keycode 99 = End
 
 remove Lock = Caps_Lock
 remove Control = Control_L
diff --git a/dot/configs/xmodmap-kb=zealot b/dot/configs/xmodmap-kb=zealot
new file mode 100644 (file)
index 0000000..d879bd3
--- /dev/null
@@ -0,0 +1,28 @@
+keycode 11 = 2 quotedbl
+keycode 12 = 3 numbersign
+keycode 22 = BackSpace
+keycode 48 = apostrophe at
+keycode 51 = numbersign asciitilde
+keycode 94 = backslash bar
+
+keycode 110 = Prior
+keycode 115 = Next
+keycode 112 = Home
+keycode 117 = End
+
+remove mod4 = Super_L
+add Mod1 = Alt_L Super_L
+
+!keycode 121 = F1
+!keycode 122 = F2
+!keycode 123 = F3
+!keycode 173 = F4
+!keycode 172 = F5
+!keycode 171 = F6
+
+remove Lock = Caps_Lock
+remove Control = Control_L
+keycode 37 = Caps_Lock
+keycode 66 = Control_L
+add Lock = Caps_Lock
+add Control = Control_L
index 2a5ba1d..6304c78 100755 (executable)
@@ -7,8 +7,10 @@
 
 echo '\e[10;0H'
 
-echo -n 'Hit return for windows... '
-read inputline
+if [ "`uname -n`" != zealot ]; then
+       echo -n 'Hit return for windows... '
+       read inputline
+fi
 if [ "x$inputline" = x ]
 then
        exec .configs/x11start
diff --git a/dot/configs/xsession-errors b/dot/configs/xsession-errors
deleted file mode 100644 (file)
index 280adc6..0000000
+++ /dev/null
@@ -1,280 +0,0 @@
-xsession running
-BASH=/bin/bash
-BASHOPTS=cmdhist:extquote:force_fignore:hostcomplete:interactive_comments:progcomp:promptvars:sourcepath
-BASH_ALIASES=()
-BASH_ARGC=()
-BASH_ARGV=()
-BASH_CMDS=()
-BASH_LINENO=([0]="0")
-BASH_SOURCE=([0]="/u/iwj/.xsession")
-BASH_VERSINFO=([0]="4" [1]="2" [2]="37" [3]="1" [4]="release" [5]="i486-pc-linux-gnu")
-BASH_VERSION='4.2.37(1)-release'
-CDPATH=:..:/u/iwj:/u/iwj/things
-CVS_RSH=ssh
-DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-N1QZsxAgPb,guid=76ba8812f23279c0c5de6f9355378ce6
-DESKTOP_SESSION=default
-DIRSTACK=()
-DISPLAY=:0
-EDITOR=emacs
-EUID=2009
-GDMSESSION=default
-GIT_COMMITTER_EMAIL=Ian.Jackson@eu.citrix.com
-GROUPS=()
-HISTORY=256
-HOME=/u/iwj
-HOST=mariner
-HOSTNAME=mariner
-HOSTTYPE=i486
-IFS=$' \t\n'
-LANG=C
-LANGUAGE=en_GB:en
-LESS=-eMfQj10
-LOGNAME=iwj
-MACHTYPE=i486-pc-linux-gnu
-NNTPAUTH='md5cookie1way ijacksonxen'
-NNTPSERVER=tunnel.chiark.greenend.org.uk
-OPTERR=1
-OPTIND=1
-OSTYPE=linux-gnu
-PAGER=less
-PATH=/u/iwj/personal/linux-i386/bin:/u/iwj/personal/scripts/bin:/usr/lib/ccache:/usr/lib/git-core:/usr/local/bin:/bin:/usr/bin:/usr/local/sbin:/sbin:/usr/sbin:/usr/bin/X11
-PIPESTATUS=([0]="0")
-PPID=3935
-PS1='$ '
-PS4='+ '
-PWD=/u/iwj
-SHELL=/bin/bash
-SHELLOPTS=braceexpand:hashall:interactive-comments
-SHLVL=1
-SSH_AGENT_PID=3991
-SSH_AUTH_SOCK=/tmp/ssh-qrMKXAkl7JlM/agent.3955
-TERM=dumb
-TRNINIT=/u/iwj/.trninit
-UID=2009
-USER=iwj
-USERNAME=iwj
-WINDOWPATH=7
-WWW_HOME=http://www.chiark.greenend.org.uk/~ijackson/
-XAUTHORITY=/var/run/gdm3/auth-for-iwj-W5imNC/database
-XDG_SESSION_COOKIE=71ed3055065182eaccd9e10e52837e3e-1429703909.694327-1758498583
-XEN_COMPILE_ARCH=x86_32
-_=bpitch=300
-arch=Linux2
-bduration=50
-bpitch=300
-brokenbadges=true
-brokenserver=false
-bvolume=60
-colours=colour
-depth=24
-display=mariner
-dpi_x=96
-dpi_y=96
-echo=echo
-font=fixed
-host=mariner
-kb=pc
-keycodes=8-255
-lxtermopts=-rv
-maccel=4
-mm_x=423
-mm_y=318
-mthresh=5
-pixels_x=1600
-pixels_y=1200
-printer=wind
-size=normal
-visual=TrueColor
-xauth=false
-.configs/Xresources-colours=colour:1:15: warning: missing terminating ' character [enabled by default]
-.configs/Xresources-font=fixed:1:15: warning: missing terminating ' character [enabled by default]
-.configs/Xresources-font=fixed:4:2: error: invalid preprocessing directive #emacs
-.configs/Xresources-size=normal:1:15: warning: missing terminating ' character [enabled by default]
-xsession running
-BASH=/bin/bash
-BASHOPTS=cmdhist:extquote:force_fignore:hostcomplete:interactive_comments:progcomp:promptvars:sourcepath
-BASH_ALIASES=()
-BASH_ARGC=()
-BASH_ARGV=()
-BASH_CMDS=()
-BASH_LINENO=([0]="0")
-BASH_SOURCE=([0]="/u/iwj/.xsession")
-BASH_VERSINFO=([0]="4" [1]="2" [2]="37" [3]="1" [4]="release" [5]="i486-pc-linux-gnu")
-BASH_VERSION='4.2.37(1)-release'
-CDPATH=:..:/u/iwj:/u/iwj/things
-CVS_RSH=ssh
-DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-7xhvDKwYGI,guid=2dd5e11e8cf12e4024a164cc5559b6de
-DESKTOP_SESSION=default
-DIRSTACK=()
-DISPLAY=:0
-EDITOR=emacs
-EUID=2009
-GDMSESSION=default
-GIT_COMMITTER_EMAIL=Ian.Jackson@eu.citrix.com
-GROUPS=()
-HISTORY=256
-HOME=/u/iwj
-HOST=mariner
-HOSTNAME=mariner
-HOSTTYPE=i486
-IFS=$' \t\n'
-LANG=C
-LANGUAGE=en_GB:en
-LESS=-eMfQj10
-LOGNAME=iwj
-MACHTYPE=i486-pc-linux-gnu
-NNTPAUTH='md5cookie1way ijacksonxen'
-NNTPSERVER=tunnel.chiark.greenend.org.uk
-OPTERR=1
-OPTIND=1
-OSTYPE=linux-gnu
-PAGER=less
-PATH=/u/iwj/personal/linux-i386/bin:/u/iwj/personal/scripts/bin:/usr/lib/ccache:/usr/lib/git-core:/usr/local/bin:/bin:/usr/bin:/usr/local/sbin:/sbin:/usr/sbin:/usr/bin/X11
-PIPESTATUS=([0]="0")
-PPID=3986
-PS1='$ '
-PS4='+ '
-PWD=/u/iwj
-SHELL=/bin/bash
-SHELLOPTS=braceexpand:hashall:interactive-comments
-SHLVL=1
-SSH_AGENT_PID=4042
-SSH_AUTH_SOCK=/tmp/ssh-yVfRaL1R27L9/agent.4006
-TERM=dumb
-TRNINIT=/u/iwj/.trninit
-UID=2009
-USER=iwj
-USERNAME=iwj
-WINDOWPATH=7
-WWW_HOME=http://www.chiark.greenend.org.uk/~ijackson/
-XAUTHORITY=/var/run/gdm3/auth-for-iwj-v3znwp/database
-XDG_SESSION_COOKIE=71ed3055065182eaccd9e10e52837e3e-1431942877.337726-1821468183
-XEN_COMPILE_ARCH=x86_32
-_=bpitch=300
-arch=Linux2
-bduration=50
-bpitch=300
-brokenbadges=true
-brokenserver=false
-bvolume=60
-colours=colour
-depth=24
-display=mariner
-dpi_x=96
-dpi_y=96
-echo=echo
-font=fixed
-host=mariner
-kb=pc
-keycodes=8-255
-lxtermopts=-rv
-maccel=4
-mm_x=423
-mm_y=318
-mthresh=5
-pixels_x=1600
-pixels_y=1200
-printer=wind
-size=normal
-visual=TrueColor
-xauth=false
-.configs/Xresources-colours=colour:1:15: warning: missing terminating ' character [enabled by default]
-.configs/Xresources-font=fixed:1:15: warning: missing terminating ' character [enabled by default]
-.configs/Xresources-font=fixed:4:2: error: invalid preprocessing directive #emacs
-.configs/Xresources-size=normal:1:15: warning: missing terminating ' character [enabled by default]
-xsession running
-BASH=/bin/bash
-BASHOPTS=cmdhist:complete_fullquote:extquote:force_fignore:hostcomplete:interactive_comments:progcomp:promptvars:sourcepath
-BASH_ALIASES=()
-BASH_ARGC=()
-BASH_ARGV=()
-BASH_CMDS=()
-BASH_LINENO=([0]="0")
-BASH_SOURCE=([0]="/u/iwj/.xsession")
-BASH_VERSINFO=([0]="4" [1]="3" [2]="30" [3]="1" [4]="release" [5]="i586-pc-linux-gnu")
-BASH_VERSION='4.3.30(1)-release'
-CDPATH=:..:/u/iwj:/u/iwj/things
-CVS_RSH=ssh
-DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-cRlMBZUFbC,guid=3743490fe0cb7994827a3916575ae4a3
-DIRSTACK=()
-DISPLAY=:0
-EDITOR=emacs
-EUID=2009
-GIT_COMMITTER_EMAIL=Ian.Jackson@eu.citrix.com
-GROUPS=()
-HISTORY=256
-HOME=/u/iwj
-HOST=mariner
-HOSTNAME=mariner
-HOSTTYPE=i586
-IFS=$' \t\n'
-LANG=C
-LANGUAGE=en_GB:en
-LESS=-eMfQj10
-LOGNAME=iwj
-MACHTYPE=i586-pc-linux-gnu
-NNTPAUTH='md5cookie1way ijacksonxen'
-NNTPSERVER=tunnel.chiark.greenend.org.uk
-OPTERR=1
-OPTIND=1
-OSTYPE=linux-gnu
-PAGER=less
-PATH=/u/iwj/personal/linux-i386/bin:/u/iwj/personal/scripts/bin:/usr/lib/ccache:/usr/lib/git-core:/usr/local/bin:/bin:/usr/bin:/usr/local/sbin:/sbin:/usr/sbin:/usr/bin/X11
-PIPESTATUS=([0]="0")
-PPID=3099
-PS1='$ '
-PS4='+ '
-PWD=/u/iwj
-SHELL=/bin/bash
-SHELLOPTS=braceexpand:hashall:interactive-comments
-SHLVL=1
-SSH_AGENT_PID=3124
-SSH_AUTH_SOCK=/tmp/ssh-w4GHCWlnWVhC/agent.3099
-TERM=dumb
-TRNINIT=/u/iwj/.trninit
-UID=2009
-USER=iwj
-WINDOWPATH=7
-WWW_HOME=http://www.chiark.greenend.org.uk/~ijackson/
-XDG_SESSION_COOKIE=71ed3055065182eaccd9e10e52837e3e-1465574563.55040-60649872
-XEN_COMPILE_ARCH=x86_32
-_=bpitch=300
-arch=Linux2
-bduration=50
-bpitch=300
-brokenbadges=true
-brokenserver=false
-bvolume=60
-colours=colour
-depth=24
-display=mariner
-dpi_x=96
-dpi_y=96
-echo=echo
-font=fixed
-host=mariner
-kb=pc
-keycodes=8-255
-lxtermopts=-rv
-maccel=4
-mm_x=423
-mm_y=318
-mthresh=5
-pixels_x=1600
-pixels_y=1200
-printer=wind
-size=normal
-visual=TrueColor
-xauth=false
-.configs/Xresources-colours=colour:1:15: warning: missing terminating ' character
- !# Ian Jackson's X Resources file
-               ^
-.configs/Xresources-font=fixed:1:15: warning: missing terminating ' character
- !# Ian Jackson's X resources file
-               ^
-.configs/Xresources-font=fixed:4:2: error: invalid preprocessing directive #emacs
- #emacs.font:              fixed
-  ^
-.configs/Xresources-size=normal:1:15: warning: missing terminating ' character
- !# Ian Jackson's X Resources file
-               ^
index 94bfb51..2edb231 100755 (executable)
@@ -5,5 +5,6 @@ eval `.configs/configure`
 echo -n +
 # xlbiff &
 echo -n +
-unclutter -noevents &
+#unclutter -noevents &
 echo -n +
+echo xtools
index 4c2a317..c629a79 100644 (file)
--- a/dot/emacs
+++ b/dot/emacs
@@ -18,3 +18,6 @@
 (load-library "ian")
 (menu-bar-mode -1)
 (put 'dired-find-alternate-file 'disabled nil)
+(let ((ian-local (locate-library "ian-local")))
+  (if ian-local
+        (load-library ian-local)))
diff --git a/dot/gitconfig b/dot/gitconfig
deleted file mode 100644 (file)
index 1d39224..0000000
+++ /dev/null
@@ -1,11 +0,0 @@
-[user]
-       email="ian.jackson@eu.citrix.com"
-[sendemail]
-        bcc = ian.jackson@eu.citrix.com
-[url "git://git-cache.xs.citrite.net:9419/git://"]
-        insteadOf = git://
-[url "git://git-cache.xs.citrite.net:9419/git://"]
-        insteadOf = git://git-cache.xs.citrite.net:9419/git://
-[color]
-        diff = false
-        ui = false
diff --git a/dot/gitk b/dot/gitk
deleted file mode 100644 (file)
index b9e9b33..0000000
--- a/dot/gitk
+++ /dev/null
@@ -1,36 +0,0 @@
-set mainfont {{Bitstream Vera Sans} 8}
-set textfont fixed
-set uifont {Helvetica 9 bold}
-set tabstop 8
-set findmergefiles 0
-set maxgraphpct 50
-set maxwidth 16
-set cmitmode patch
-set wrapcomment none
-set autoselect 1
-set autosellen 40
-set showneartags 1
-set hideremotes 0
-set showlocalchanges 1
-set datetimeformat {%Y-%m-%d %H:%M:%S}
-set limitdiffs 1
-set uicolor grey85
-set want_ttk 1
-set bgcolor white
-set fgcolor black
-set colors {green red blue magenta darkgrey brown orange}
-set diffcolors {{#ff6b66} #005400 blue}
-set markbgcolor #e0e0ff
-set diffcontext 3
-set selectbgcolor gray85
-set extdifftool meld
-set perfile_attrs 0
-set geometry(main) 959x1054+535+86
-set geometry(state) normal
-set geometry(topwidth) 959
-set geometry(topheight) 422
-set geometry(pwsash0) "619 1"
-set geometry(pwsash1) "838 1"
-set geometry(botwidth) 669
-set geometry(botheight) 627
-set permviews {}
diff --git a/dot/trnmailcap b/dot/trnmailcap
new file mode 100644 (file)
index 0000000..0993bcc
--- /dev/null
@@ -0,0 +1 @@
+application/octet-stream; /u/iwj/personal/linux-i386/bin/show-octet-stream %s
index d54d437..4e62fcd 100644 (file)
@@ -5,6 +5,8 @@ echo xsession running
 
 . .configs/setenvir
 
+rm .configs/mini-desktop-window-id
+
 eval `.configs/configure`
 
 set
diff --git a/home/emacs/.gitignore b/home/emacs/.gitignore
new file mode 100644 (file)
index 0000000..232eff3
--- /dev/null
@@ -0,0 +1 @@
+ian-local.el
index c0273af..d498fb4 100644 (file)
@@ -1,16 +1,20 @@
-2; Ian's X initialisations.
+; Ian's X initialisations.
 
 (if (not (string-match "^18\." emacs-version))
     (require 'ian-x19)
     
-  (require 'x-fix-mouse)
-  (define-key mouse-map x-button-left-up 'x-cut-text-if-moved)
-  (define-key mouse-map x-button-middle 'x-cut-text)
-  (define-key mouse-map x-button-c-middle 'x-cut-and-wipe-text)
-  (define-key mouse-map x-button-right 'x-paste-text))
+;  (require 'x-fix-mouse)
+;  (define-key mouse-map x-button-left-up 'x-cut-text-if-moved)
+;  (define-key mouse-map x-button-middle 'x-cut-text)
+;  (define-key mouse-map x-button-c-middle 'x-cut-and-wipe-text)
+;  (define-key mouse-map x-button-right 'x-paste-text))
+)
 
 ; (x-set-cursor-color "white")
 ; (x-set-foreground-color "white")
 ; (x-set-background-color "black")
 
+(if (boundp 'tool-bar-mode)
+    (tool-bar-mode -1))
+  
 ; End of this file.
index 25deeab..a0a9aed 100644 (file)
@@ -1,4 +1,4 @@
-; Ian's X, Emacs-19 initialisations
+; Ian's X, Emacs-19 (and higher) initialisations
 
 ;(setq frame-title-format
 ;      '(multiple-frames "%b" ("" invocation-name " : "
@@ -51,8 +51,8 @@
 (global-unset-key [down-C-mouse-3])
 (global-set-key [down-C-mouse-3] 'run-programs-menu)
 
-(global-set-key [mouse-2] 'mouse-yank-at-click)
-(global-set-key [mouse-3] 'mouse-save-then-kill)
+;(global-set-key [mouse-2] 'mouse-yank-at-click)
+;(global-set-key [mouse-3] 'mouse-save-then-kill)
 
 ;(setq interprogram-paste-function
 ;      '(lambda () (x-get-cut-buffer 0)))
index d08f100..6f6bd98 100644 (file)
@@ -1,11 +1,20 @@
 ; This is my real emacs start-up file (for chiark).
 ; 
+
+(defalias 'perl-mode 'cperl-mode)
+(setq cperl-invalid-face nil
+      cperl-indent-level 4
+      cperl-continued-statement-offset 4)
+
 (make-variable-buffer-local 'indent-line-function)
 ; Un-disable narrow and eval-expression
 (put 'narrow-to-region 'disabled nil)
 (put 'eval-expression 'disabled nil)
 (standard-display-european t)
 ;
+(setq browse-url-netscape-program "mozilla")
+(setq common-lisp-hyperspec-root "/usr/share/doc/hyperspec/")
+;
 ; Make sure we don't disturb links or change ownership, use numbers
 (setq backup-by-copying-when-mismatch t)
 (setq backup-by-copying-when-linked t)
 (setq enable-local-variables 'ask-me)
 (setq enable-recursive-minibuffers t)
 (setq compile-command "make")
-(setq compilation-context-lines 0)
-(setq compilation-skip-threshold 0)
-(setq compilation-scroll-output 'first-error)
-(global-set-key "\18\\" 'previous-error)
+(setq next-line-add-newlines t)
 (setq diff-switches "-u")
+(setq line-move-visual nil)
 (display-time)
-(setq next-line-add-newlines t)
 ;
 (set-variable 'search-repeat-char 28)
+(set-fringe-mode (cons 0 nil))
 (if (string-match "^19\." emacs-version)
     (progn
-      (setq file-name-handler-alist     ; Disable nasty auto-loading of ange-ftp
-            (delq (rassq 'ange-ftp-completion-hook-function file-name-handler-alist)
-                  file-name-handler-alist))
+;      (setq file-name-handler-alist     ; Disable nasty auto-loading of ange-ftp
+;            (delq (rassq 'ange-ftp-completion-hook-function file-name-handler-alist)
+;                  file-name-handler-alist))
       (require 'find-alternate-18style)
       (defun unset-down-mouse-23 ()
         (local-set-key [mouse-2] 'mouse-yank-at-click)
@@ -60,7 +67,6 @@
       (define-key isearch-mode-map "\1d" 'isearch-quote-char)))
 ;
 (menu-bar-mode -1)
-(tool-bar-mode -1)
 (defun terminal-keybindings ()
   "This function should be called by the term-setup-hook mechanism"
   (interactive)
@@ -69,7 +75,7 @@
   ; Set keybindings generally (including I-search on C-\)
 ;  (global-set-key "   " 'self-insert-command)
   (global-set-key "\1c" 'isearch-forward)
-  (global-set-key "\r" 'newline-and-indent)
+;  (global-set-key "\r" 'newline)
   (global-set-key "\ f" 'set-mark-command)
   (global-set-key "\1d" 'quoted-insert)
   ;
@@ -88,7 +94,7 @@
   (global-set-key "\18\12" 'bury-buffer)
   (global-set-key "\18\v" 'quicker-compile)
   (global-set-key "\18\18" 'exchange-point-and-mark)
-  (global-set-key "\18\1a" 'load-ange-ftp)
+  (global-set-key "\18\1a" 'load-tramp)
   (global-set-key "\184\16" 'scroll-other-window)
   (global-set-key "\184m" 'vm-mail-other-window)
   (global-set-key "\189" 'vm-visit-folder)
 (autoload 'uncompress-while-visiting "uncompress")
 ; (autoload 'c++-mode "c++-mode" "Mode for editing C and C++ programs" t)
 (autoload 'hide-ifdef-mode "hideif" "For editing code with #ifdefs" t)
-(setq-default indent-tabs-mode nil)
+;(setq-default indent-tabs-mode nil)
 (autoload 'dired-find-alternate-file "dired-alternate" "Find alternately" t)
 (autoload 'dired-run-file "dired-alternate" "Run this file" t)
 (autoload 'perl-mode "perl-mode" "Mode for Perl code" t)
       '(lambda ()
          (make-variable-buffer-local 'scroll-step)
          (setq scroll-step 1)))
-; (setq inferior-lisp-program "kcl")
+(setq inferior-lisp-program "sbcl")
+;(setq jit-lock-chunk-size 100
+;      jit-lock-stealth-time 1.00)
 (setq dired-mode-hook
       '(lambda ()
         (define-key dired-mode-map "F" 'dired-find-alternate-file)
 ;                ("\\.tar$" . tar-mode)
                 ("\\.pl$" . perl-mode)
                 ("\\.ci$" . tex-mode)
+                ("\\.asm$" . fundamental-mode)
                 ("\\.Z$" . uncompress-while-visiting))
               auto-mode-alist))
 (setq interpreter-mode-alist
                         (local-set-key ";" 'self-insert-command)))
 (setq c++-mode-hook '(lambda ()
                        (hide-ifdef-mode 1)
+                      (local-set-key "," 'self-insert-command)
                        (local-set-key ":" 'electric-c++-terminator)))
 ; c++-electric-colon
 (setq c-mode-hook '(lambda ()
                      (hide-ifdef-mode 1)
                      (c-set-offset 'substatement-open 0 nil)
+                    (local-set-key "," 'self-insert-command)
+                    (local-set-key ";" 'self-insert-command)
+                    (local-set-key "/" 'self-insert-command)
+                    (local-set-key "*" 'self-insert-command)
+                    (local-set-key "#" 'self-insert-command)
                     (local-set-key "(" 'self-insert-command)
                     (local-set-key ")" 'self-insert-command)
-                    (local-set-key ";" 'self-insert-command)
                     (local-set-key "{" 'self-insert-command)
                      (local-set-key "\r" 'newline-and-indent)))
 (setq c-hanging-comment-ender-p nil)
@@ -310,12 +324,12 @@ then call send-and-exit."
   (insert-file (concat vm-folder-directory ",Formletter")))
 ;
 ; This function bound to C-x C-z
-(defun load-ange-ftp ()
-  "Load ange-ftp using require, if it isn't loaded already"
+(defun load-tramp ()
+  "Load tramp using require, if it isn't loaded already"
   (interactive)
-  (message "Loading ange-ftp...")
-  (require 'ange-ftp) ; -extended
-  (message "Loading ange-ftp...done"))
+  (message "Loading tramp...")
+  (require 'tramp) ; -extended
+  (message "Loading tramp...done"))
 ;
 ; This function bound to M-+
 (defun toggle-truncate-lines ()
@@ -350,9 +364,6 @@ then call send-and-exit."
                         (concat "^" item " *\\((.*)\\)?$"))))
                   list)))
 ;
-;
-(setq mail-signature nil)
-;
 ; BBDB
 (setq bbdb-north-american-phone-numbers-p nil
       bbdb/mail-auto-create-p t
@@ -361,7 +372,8 @@ then call send-and-exit."
       bbdb-message-caching-enabled t)      
 ;
 ; VM stuff
-(load-file "~/private/private.el")
+(if (file-exists-p "~/private/private.el")
+  (load-file "~/private/private.el"))
 (if (file-exists-p "~/private/private2.el")
   (load-file "~/private/private2.el"))
 (setq vm-included-text-attribution-format "%F writes (\"%s\"):\n"
@@ -410,19 +422,11 @@ then call send-and-exit."
       mail-archive-file-name "~/mail/Outbound"
 
 
-      vm-spool-files (list
-                      "~/mbox"
-                      "~/mail/Outbound"
-                      "~/mail/Record"
-                      "~/mail/Import"
-                      "~/mail/inbox"
-                      "/var/mail/iwj"
-;                      "imap-ssl:mail.citrix.com:993:inbox:login:ianj:*"
-;                      (concat "imap-ssl:mail.citrix.com:993:inbox:cram-md5:ianj:*" ijackson-pop-password)
-                      "/u/ijackson/mail/INBOX.CRASH"
-                      "~/News/r")
       vm-startup-with-summary t
 
+      user-mail-address "ijackson@chiark.greenend.org.uk"
+
+
       vm-startup-with-summary nil
       vm-summary-format "%3n %a %2d %3m  %-19.19F  %s\n"
       mail-archive-file-name "~/mail/Outbound"
@@ -531,50 +535,37 @@ The citation string is taken from cite-string."
            (> (point-max) (point)))
         (insert cite-string)))))
 ;
-(blink-cursor-mode nil)
-(setq c-basic-offset 4)
-(setq indent-tabs-mode 4)
-;
-(require 'tramp)
-(setq tramp-default-proxies-alist
-      (append '(("names\\.colo\\.xensource\\.com"
-                 "root" "/ssh:names.colo.xensource.com:")
-                ("colo-dns1\\.colo\\.xensource\\.com" "root"
-                 "/ssh:ianj@colo-dns1.colo.xensource.com:"))
-              tramp-default-proxies-alist))
-; /sudo:root@names.colo.xensource.com:/etc/bind/xen.org.zone
-; /sudo:root@colo-dns1.colo.xensource.com:/etc/bind/xensource.com.zone
-
+;
 
 
-(defun hack-dir-local-variables ()
-  "Read per-directory local variables for the current buffer.
-Store the directory-local variables in `dir-local-variables-alist'
-and `file-local-variables-alist', without applying them."
-  (when (and enable-local-variables
-            (buffer-file-name))
-    ;; Find the variables file.
-    (let ((variables-file (dir-locals-find-file (buffer-file-name)))
-         (class nil)
-         (dir-name nil))
-      (cond
-       ((stringp variables-file)
-       (setq dir-name (file-name-directory (buffer-file-name)))
-       (setq class (dir-locals-read-from-file variables-file)))
-       ((consp variables-file)
-       (setq dir-name (nth 0 variables-file))
-       (setq class (nth 1 variables-file))))
-      (when class
-       (let ((variables
-              (dir-locals-collect-variables
-               (dir-locals-get-class-variables class) dir-name nil)))
-         (when variables
-           (dolist (elt variables)
-             (unless (memq (car elt) '(eval mode))
-               (setq dir-local-variables-alist
-                     (assq-delete-all (car elt) dir-local-variables-alist)))
-             (push elt dir-local-variables-alist))
-           (hack-local-variables-filter variables dir-name)))))))
+;; (defun hack-dir-local-variables ()
+;;   "Read per-directory local variables for the current buffer.
+;; Store the directory-local variables in `dir-local-variables-alist'
+;; and `file-local-variables-alist', without applying them."
+;;   (when (and enable-local-variables
+;;          (buffer-file-name))
+;;     ;; Find the variables file.
+;;     (let ((variables-file (dir-locals-find-file (buffer-file-name)))
+;;       (class nil)
+;;       (dir-name nil))
+;;       (cond
+;;        ((stringp variables-file)
+;;     (setq dir-name (file-name-directory (buffer-file-name)))
+;;     (setq class (dir-locals-read-from-file variables-file)))
+;;        ((consp variables-file)
+;;     (setq dir-name (nth 0 variables-file))
+;;     (setq class (nth 1 variables-file))))
+;;       (when class
+;;     (let ((variables
+;;            (dir-locals-collect-variables
+;;             (dir-locals-get-class-variables class) dir-name nil)))
+;;       (when variables
+;;         (dolist (elt variables)
+;;           (unless (memq (car elt) '(eval mode))
+;;             (setq dir-local-variables-alist
+;;                   (assq-delete-all (car elt) dir-local-variables-alist)))
+;;           (push elt dir-local-variables-alist))
+;;         (hack-local-variables-filter variables dir-name)))))))
 
 (delete ".git/" completion-ignored-extensions)
 
diff --git a/infra/substitute b/infra/substitute
new file mode 100755 (executable)
index 0000000..7ceafb3
--- /dev/null
@@ -0,0 +1,37 @@
+#!/bin/bash
+set -e
+
+mode_subst () {
+    $fn >$bfn.new
+}
+
+mode_diff () {
+    mode_subst
+    diff -u $dot $bfn.new || test $? = 1
+}
+
+mode_install () {
+    mode_subst
+    mv -f $bfn.new $dot
+}
+
+mode=$1
+case "$mode" in
+subst|diff|install) ;;
+*) echo >&2 'bad mode'; exit 1;
+esac
+shift
+
+if [ $# = 0 ]; then
+   set templates/*.in
+fi
+
+for fn in "$@"; do
+    bfn=${fn%.in}
+    bfn=${bfn##*/}
+    bfn=${bfn#.}
+    bfn=templates/$bfn
+    fn=${bfn}.in
+    dot=$HOME/.${bfn#*/}
+    mode_$mode
+done
diff --git a/infra/template b/infra/template
new file mode 100644 (file)
index 0000000..6d1dae0
--- /dev/null
@@ -0,0 +1,5 @@
+# -*- sh -*-
+
+cd dot/configs
+eval `./checkconfig`
+cd ../..
index 4a5e7fc..c95050f 100755 (executable)
@@ -1,2 +1,3 @@
 #!/bin/sh
+set -e
 exec git --no-pager status "$@"
diff --git a/scripts/iwjendian b/scripts/iwjendian
deleted file mode 100755 (executable)
index ad70999..0000000
+++ /dev/null
@@ -1,2 +0,0 @@
-#!/usr/bin/perl
-printf "%x\n", unpack "L", "\1\2\3\4" or die $!;
diff --git a/scripts/pdftops-noduplex b/scripts/pdftops-noduplex
new file mode 100755 (executable)
index 0000000..2bc525a
--- /dev/null
@@ -0,0 +1,7 @@
+#!/bin/bash
+set -e
+pdftops "$1" "$2"
+perl -i~ -pe '
+     next unless m/^\%\%BeginResource: procset xpdf /..m/^\%\%EndResource/;
+     s# /Duplex true def # #;
+' "$2"
diff --git a/scripts/remoteshell b/scripts/remoteshell
deleted file mode 100755 (executable)
index 1be2331..0000000
+++ /dev/null
@@ -1,91 +0,0 @@
-#!/usr/bin/perl --
-# Perl wrapper around rsh/remsh to export DISPLAY and run an xterm
-# Usage:
-#  remoteshell hostname [-l remoteuser]
-
-$rsh= 'ssh';
-$usesh= '';
-
-$rsh= shift if $ARGV[0] =~ s/^-r//;
-$usesh= shift if $ARGV[0] =~ s/^-s//;
-
-($remotehost= shift) || die "need hostname\n";
-$remotehost= (gethostbyname($remotehost))[0] || $remotehost;
-
-if ($ARGV[0] eq '-l') {
-    shift;
-    ($remoteuser= shift) || die "need username after -l\n";
-    $remoteuser= "-l $remoteuser";
-} elsif (open(H,"$ENV{'HOME'}/.rhosts")) {
-    while (<H>) {
-        m/^(\S+)\s+(\S+)\s*$/ || next;
-        if (&canon($1) eq &canon($remotehost)) {
-            $remoteuser= "-l $2";
-            last;
-        }
-    }
-}
-
-$_= $ENV{'DISPLAY'};
-m/:/ || die "\$DISPLAY variable format `$_' bad";
-$ENV{'DISPLAY'}= &canon($`).':'.$';
-
-sub canon {
-    local ($h) = @_;
-    local ($v,@h,@v);
-    chomp($h= `hostname`) unless length($h);
-    @h= gethostbyname($h);
-    return $h unless @h;
-    @v= gethostbyaddr($h[4],$h[2]);
-    $v= $v[0];
-#    unless ($v =~ m/\./) {
-#        $v .= '.';
-#        $v .= `domainname`;
-#        $v =~ s/\n$//;
-#    }
-    return $v;
-}
-
-open(U,"|$rsh $remotehost $remoteuser perl")
-    || die "failed to run $rsh: $!";
-
-print U <<'END' ;
-    $_= <DATA>; chop; @ar= split(/\0/,$_) if length($_);
-    $_= <DATA>; chop; $ENV{'DISPLAY'}= $_;
-    $_= <DATA>; chop; $usesh= $_;
-    $host= <DATA>; chop($host);
-    $pcmd= '. .configs/setenvir; echo ok $PATH';
-    $pout= `$pcmd`;
-    $pout =~ m/^ok (\S+)\n$/ || die "pcmd gave `$pout'";
-    $ENV{'PATH'}= $1;
-    open(X,"|xauth nmerge -");
-    while (<DATA>) { print X; }
-    close(X);
-    $? && die "xauth gave code $?";
-    defined($c= fork) || die "fork: $!";
-    exit 0 if $c;
-    close(STDIN); close(STDOUT);
-    open(STDIN,"</dev/null") || die "/dev/null for stdin: $!";
-    open(STDOUT,">>.remoteshell-errors") || die "append .remoteshell-errors: $!";
-    chmod(0600,".remoteshell-errors");
-    close(STDERR); open(STDERR,">&STDOUT");
-    if ($usesh eq '') {
-        exec('close3onwards','xterm','-T',$host,@ar,'-e','.configs/rxprofile');
-    } else {
-       exec('close3onwards',$usesh,'-xc','. .configs/setenvir; exec "$@"','-',@ar);
-    }
-    print STDERR "close3onwards: $!\n";
-    exit 1;
-__END__
-END
-
-print U join("\0",@ARGV),"\n";
-print U $ENV{'DISPLAY'},"\n";
-print U $usesh,"\n";
-print U $remotehost,"\n";
-print U `xauth nextract - $ENV{'DISPLAY'}`;
-
-close(U);
-$? && die "remoteshell $rsh gave code $?";
-
-exit 0;
diff --git a/templates/.gitignore b/templates/.gitignore
new file mode 100644 (file)
index 0000000..ce0a7f3
--- /dev/null
@@ -0,0 +1 @@
+*.new
diff --git a/templates/gitconfig.in b/templates/gitconfig.in
new file mode 100755 (executable)
index 0000000..78dee99
--- /dev/null
@@ -0,0 +1,47 @@
+#!/bin/bash
+set -e
+. infra/template
+
+case "$(hostname -f)" in
+*.xensource.com)
+    email="ian.jackson@eu.citrix.com"
+    cache=git://git-cache.xs.citrite.net:9419
+    ;;
+*)
+    email=ijackson@chiark.greenend.org.uk
+    ;;
+esac
+
+cat <<END
+[user]
+       email="$email"
+[sendemail]
+        bcc = $email
+END
+
+case "$(hostname -f)" in
+zealot)
+    cat <<END
+       smtpdomain = zealot.relativity.greenend.org.uk
+       smtpserver = tunnel.chiark.greenend.org.uk
+       smtpserverport = 25
+       envelopesender = $email
+       bcc = $email
+[dgit-distro "debian"]
+       username = iwj
+       keyid = 0x48B50D39
+END
+    ;;
+esac
+
+if [ "$cache" ]; then
+    cat <<END
+[url "$cache/git://"]
+        insteadOf = git://
+[url "$cache/git://"]
+        insteadOf = $cache/git://
+[color]
+       diff = false
+       ui = false
+END
+fi
diff --git a/templates/gitk.in b/templates/gitk.in
new file mode 100755 (executable)
index 0000000..12d6bb2
--- /dev/null
@@ -0,0 +1,77 @@
+#!/bin/bash
+set -e
+. infra/template
+
+case "$font" in
+zealot)
+        cat <<END
+set mainfont {Helvetica 14}
+set textfont {Courier 14}
+set uifont {Helvetica 14 bold}
+END
+       ;;
+*)
+        cat <<END
+END
+        ;;
+esac
+
+cat <<END
+set tabstop 8
+set findmergefiles 0
+set maxgraphpct 50
+set maxwidth 16
+set cmitmode patch
+set wrapcomment none
+set autoselect 1
+set autosellen 40
+set showneartags 1
+set hideremotes 0
+set showlocalchanges 1
+set datetimeformat {%Y-%m-%d %H:%M:%S}
+set limitdiffs 1
+set uicolor grey85
+set want_ttk 1
+set bgcolor #000000
+set fgcolor #ffffff
+set uifgcolor black
+set uifgdisabledcolor #999
+set colors {green red blue magenta darkgrey brown orange}
+set diffcolors {{#ff8888} #88ff88 #8080ff}
+set mergecolors {red blue green purple brown "#009090" magenta "#808000" "#009000" "#ff0080" cyan "#b07070" "#70b0f0" "#70f0b0" "#f0b070" "#ff70b0"}
+set markbgcolor #e0e0ff
+set diffcontext 3
+set selectbgcolor #333366
+set foundbgcolor yellow
+set currentsearchhitbgcolor orange
+set extdifftool meld
+set perfile_attrs 0
+set headbgcolor #00ff00
+set headfgcolor black
+set headoutlinecolor black
+set remotebgcolor #ffddaa
+set tagbgcolor yellow
+set tagfgcolor black
+set tagoutlinecolor black
+set reflinecolor black
+set filesepbgcolor #aaaaaa
+set filesepfgcolor black
+set linehoverbgcolor #ffff80
+set linehoverfgcolor black
+set linehoveroutlinecolor black
+set mainheadcirclecolor yellow
+set workingfilescirclecolor red
+set indexcirclecolor green
+set circlecolors {white blue gray blue blue}
+set linkfgcolor blue
+set circleoutlinecolor black
+set permviews {}
+set geometry(main) 750x957+846+32
+set geometry(state) normal
+set geometry(topwidth) 750
+set geometry(topheight) 210
+set geometry(pwsash0) "406 1"
+set geometry(pwsash1) "586 1"
+set geometry(botwidth) 574
+set geometry(botheight) 742
+END
old mode 100644 (file)
new mode 100755 (executable)
similarity index 87%
rename from dot/vtwmrc
rename to templates/vtwmrc.in
index 29c3b3c..1ca85fc
@@ -1,3 +1,8 @@
+#!/bin/bash
+set -e
+. infra/template
+
+cat <<END
 #
 # Ian's twm configuration file.
 #
@@ -19,8 +24,6 @@ Zoom
 NoRaiseOnMove
 NoRaiseOnResize
 SortIconManager
-NoTitle { "TWM Icon Manager" "VTWM Desktop" "xclock" "xload" }
-DontSqueezeTitle { "emacs" "emacs18" "epoch" "Emacs" }
 SqueezeTitle
 RestartPreviousState
 WarpCursor
@@ -28,9 +31,11 @@ Function "select" { f.iconify f.deiconify }
 WindowFunction f.function "select"
 WindowRing { "emacs" "emacs18" "XTerm" }
 OldFashionedTwmWindowsMenu
-NoStackMode { "emacs" }
+NoStackMode { "emacs" "Iceweasel" }
+
+VirtualDesktop $vtwmvdesktop 48
 
-VirtualDesktop "6432x3608-208-0" 48
+#VirtualDesktop "6432x3608-208-0" 48
 #VirtualDesktop "6400x3600-208-0" 48
 # +32,+8
 
@@ -48,6 +53,22 @@ FixManagedVirtualGeometries
 FixTransientVirtualGeometries
 SnapRealScreen
 
+NoTitle {
+       "TWM Icon Manager"
+       "VTWM Desktop"
+       "xclock"
+       "panel"
+       "xload"
+       "xacpi-simple"
+}
+
+DontSqueezeTitle {
+       "emacs"
+       "emacs18"
+       "epoch"
+       "Emacs"
+}
+
 DontShowInDisplay { 
        "VTWM Desktop"
        "xb ian"
@@ -57,6 +78,8 @@ DontShowInDisplay {
        "xclock"
        "xload"
        "XLoad"
+       "panel"
+       "xacpi-simple"
 }
 
 NailedDown {
@@ -69,6 +92,8 @@ NailedDown {
        "xwrits"
        "xload"
        "XLoad"
+       "panel"
+       "xacpi-simple"
 }
 
 Cursors
@@ -150,7 +175,7 @@ Button2 = : desktop : f.movescreen
 Button1 =              : icon|iconmgr|frame|title      : f.function "move-or-raise"
 Button2 =              : icon|iconmgr|frame|title      : f.function "forcemove-or-lower"
 Button3 =              : icon|iconmgr|frame|title      : f.menu "windowmenu"
-Button1 = shift                : icon|iconmgr|frame|title      : f.iconify
+Button1 = shift                : icon|iconmgr|frame|title      : f.resize
 Button2 = shift        : icon|iconmgr|frame|title      : f.resize
 Button3 = shift        : icon|iconmgr|frame|title      : f.zoom
 Button1 = m            : icon|iconmgr|frame|title      : f.focus
@@ -162,37 +187,55 @@ Button1 = control|shift|m : window|frame|title            : f.destroy
 Button2 = control|shift|m : window|frame|title         : f.forcemove
 Button3 = control|shift|m : window|frame|title         : f.menu "windowmenu"
 
-"Up"   = m : all                               : f.panup    "100"
-"Down" = m : all                               : f.pandown  "100"
-"Left" = m : all                               : f.panleft  "100"
-"Right"        = m : all                               : f.panright "100"
+"Up"   = m : all                               : f.function "pan-up"
+"Down" = m : all                               : f.function "pan-down"
+"Left" = m : all                               : f.function "pan-left"
+"Right"        = m : all                               : f.function "pan-right"
+
+Function "pan-up" {
+       !"raise-mini-desktop"
+       f.panup "100"
+}
+Function "pan-down" {
+       !"raise-mini-desktop"
+       f.pandown "100"
+}
+Function "pan-left" {
+       !"raise-mini-desktop"
+       f.panleft "100"
+}
+Function "pan-right" {
+       !"raise-mini-desktop"
+       f.panright "100"
+}
 
 Function "drag-with-up" {
        f.nail
        f.panup "100"
        f.raise
        f.nail
+       !"raise-mini-desktop"
 }
-
 Function "drag-with-down" {
        f.nail
        f.pandown "100"
        f.raise
        f.nail
+       !"raise-mini-desktop"
 }
-
 Function "drag-with-left" {
        f.nail
        f.panleft "100"
        f.raise
        f.nail
+       !"raise-mini-desktop"
 }
-
 Function "drag-with-right" {
        f.nail
        f.panright "100"
        f.raise
        f.nail
+       !"raise-mini-desktop"
 }
 
 "Up"   = m|shift : window|frame|title  : f.function "drag-with-up"
@@ -201,7 +244,7 @@ Function "drag-with-right" {
 "Right"        = m|shift : window|frame|title  : f.function "drag-with-right"
 
 # Accelerators out of icon manager
-#"F1"          =       : icon|window|frame|title       : f.iconify
+# "F1"         =       : icon|window|frame|title       : f.iconify
 "F2"           =       : icon|window|frame|title       : f.raise
 "F3"           =       : icon|window|frame|title       : f.lower
 "F1"           =       : iconmgr                       : f.hideiconmgr
@@ -250,7 +293,7 @@ menu "special"
 {
        "Management"            f.title
        "Refresh"               f.refresh
-       "Restart"               f.restart
+       "Restart"               f.function "restart"
        ""                      f.nop
        "Kill twm"              f.quit
        ""                      f.nop
@@ -258,20 +301,25 @@ menu "special"
        "Hide icon list"        f.hideiconmgr
 }
 
+Function "restart" {
+       !"rm .configs/mini-desktop-window-id"
+       f.restart
+}
+
 menu "programs"
 {
        "Programs"      f.title
        "Emacs restart" !".configs/startemacs"
        "Emacs left"    !"emacs -geometry 79x40+0+35 &"
        ""              f.nop
- "IRC Diziet" !"xterm -geometry 80x70+240-0 -T 'IRC Diziet' -e irc Diziet localhost &"
- "IRC iwj" !"xterm -geometry 80x70+340-0 -T 'IRC iwj' -e irc iwj cam.irc.devel.ncipher.com &"
+ "IRC Diziet" !"xterm -geometry 80x24+24-0 -T ' IRC' -e sh -c 'ssh -vt ijackson@tunnel.chiark.greenend.org.uk screen -x irc; read x' &"
+# "IRC iwj" !"xterm -geometry 80x70+340-0 -T 'IRC iwj' -e irc iwj cam.irc.devel.ncipher.com &"
        ""              f.nop
        "Trn"           !"MAILCAPS=/u/iwj/.trnmailcap xterm -geometry 80x45+240+95 -e trn4 &"
        "Archie"        !"xarchie &"
        "Calc"          !"xcalc &"
 #      "Xab large"     !"xab &"
-#      "Xab small"     !"perl -e '$xab=\"xab\"; exec $xab \"other-xab\"' &"
+#      "Xab small"     !"perl -e '\$xab=\"xab\"; exec \$xab \"other-xab\"' &"
        ""              f.nop
        "Management"    f.menu "special"
        "Hosts"         f.menu "hosts"
@@ -331,8 +379,6 @@ Menu "hosts"
  "Va"          !"xterm-CT 'va' -e ssh va.debian.org -l iwj &"
  "Nyx"         !"xterm-CT 'nyx - rlogin' -e rlogin nyx.cs.du.edu -l ijackson &"
  "Sunsite"     !"xterm-CT 'sunsite' -e rlogin sunsite.unc.edu -l iwj &"
- "White"               !"xterm-CT 'white' -geometry 80x25 -e sh -c \
-               'rlogin white.dogwood.com; line >/dev/null' &"
 }
 
 Menu "demos"
@@ -363,3 +409,4 @@ Menu "games"
        "Solitaire"                     !"xsol &"
        "Spider"                        !"spider &"
 }
+END